### Method

# Gtk TextBuffer insert

#### Declaration [src]

    void
    gtk_text_buffer_insert (
      GtkTextBuffer* buffer,
      GtkTextIter* iter,
      const char* text,
      int len
    )

#### Description [src]

Inserts `len` bytes of `text` at position `iter`.

If `len` is -1, `text` must be nul-terminated and will be inserted in its entirety. Emits the “insert-text” signal; insertion actually occurs in the default handler for the signal. `iter` is invalidated when insertion occurs (because the buffer contents change), but the default signal handler revalidates it to point to the end of the inserted text.

#### Parameters

`iter` | `GtkTextIter`
| A position in the buffer.
| The data is owned by the caller of the function.
`text` | `const char*`
| Text in UTF-8 format.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.
`len` | `int`
| Length of text in bytes, or -1.